summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
Diffstat (limited to 'source/d')
-rw-r--r--source/d/rcs/rcs-5.10.0-SIGSTKSZ.patch29
-rwxr-xr-xsource/d/rcs/rcs.SlackBuild9
2 files changed, 3 insertions, 35 deletions
diff --git a/source/d/rcs/rcs-5.10.0-SIGSTKSZ.patch b/source/d/rcs/rcs-5.10.0-SIGSTKSZ.patch
deleted file mode 100644
index 5906e3e91..000000000
--- a/source/d/rcs/rcs-5.10.0-SIGSTKSZ.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-diff -up rcs-5.10.0.orig/src/b-isr.c rcs-5.10.0/src/b-isr.c
---- rcs-5.10.0.orig/src/b-isr.c 2021-04-04 14:13:59.185941494 +0200
-+++ rcs-5.10.0/src/b-isr.c 2021-04-04 14:15:21.087397267 +0200
-@@ -198,22 +198,16 @@ setup_catchsig (size_t count, int const
- #undef MUST
- }
-
--#if defined HAVE_SIGALTSTACK && defined SIGSTKSZ
--#define ISR_STACK_SIZE (10 * SIGSTKSZ)
--#else
--#define ISR_STACK_SIZE 0
--#endif
--
- struct isr_scratch *
- isr_init (bool *be_quiet)
- {
- struct isr_scratch *scratch = ZLLOC (1, struct isr_scratch);
-
--#if ISR_STACK_SIZE
-+#if defined HAVE_SIGALTSTACK && defined SIGSTKSZ
- stack_t ss =
- {
-- .ss_sp = alloc (PLEXUS, ISR_STACK_SIZE),
-- .ss_size = ISR_STACK_SIZE,
-+ .ss_sp = alloc (PLEXUS, (10 * SIGSTKSZ)),
-+ .ss_size = (10 * SIGSTKSZ),
- .ss_flags = 0
- };
-
diff --git a/source/d/rcs/rcs.SlackBuild b/source/d/rcs/rcs.SlackBuild
index bd87fab50..e9b5a8126 100755
--- a/source/d/rcs/rcs.SlackBuild
+++ b/source/d/rcs/rcs.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rcs
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -84,7 +84,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION
chown -R root:root .
@@ -94,9 +94,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# patch to build with glibc-2.34 from https://src.fedoraproject.org/rpms/rcs/raw/rawhide/f/rcs-5.10.0-upstream-8883c4f5a2.patch
-zcat $CWD/rcs-5.10.0-SIGSTKSZ.patch.gz | patch -Esp1 --verbose || exit 1
-
# Configure:
CFLAGS="$SLKCFLAGS -std=c99" \
./configure \